{
  inputs = { };
  outputs =
    { self }:
    {
      templates = {
        simple = {
          path = ./templates/simple;
          description = "A simple template for a devenv-flake";
          welcomeText = ''
            # `.devenv` and `.direnv` should be added to `.gitignore`
            ```sh
              echo .devenv >> .gitignore
              echo .direnv >> .gitignore
            ```
          '';
        };
        python = {
          path = ./templates/python;
          description = "A Python template for a devenv-flake";
          welcomeText = ''
            # `.devenv` and `.direnv` should be added to `.gitignore`
            ```sh
              echo .devenv >> .gitignore
              echo .direnv >> .gitignore
            ```
          '';
        };
        default = self.templates.simple;
      };
    };
}
